using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Collections.Specialized;

namespace InABox.Mobile
{
    public class  MobileButtonStripItems : ObservableCollection<MobileButtonStripItem>
    {
        public void AddRange(IEnumerable<string> items)
        {
            foreach (var item in items)
                Add(new MobileButtonStripItem() { Text = item } );
            OnCollectionChanged(new NotifyCollectionChangedEventArgs(NotifyCollectionChangedAction.Reset));
        }
    }
}